Bug 1298975 - [RFE] Backport the groups merging feature
Summary: [RFE] Backport the groups merging feature
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 7.3
Hardware: Unspecified Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Martin Sebor
QA Contact: Sergey Kolosov
Vladimír Slávik
URL:
Whiteboard:
Keywords: FutureFeature, Patch
: 1204503 (view as bug list)
Depends On:
Blocks: 1292074 1298243 1390370
TreeView+ depends on / blocked
 
Reported: 2016-01-15 15:06 UTC by Jakub Hrozek
Modified: 2017-08-01 18:06 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
*glibc* now supports group merging The ability to merge group members from different Name Service modules has been added to *glibc*. As a result, management of centralized user access control and group membership across multiple hosts is now easier.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 18:06:55 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1916 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2017-08-01 18:05:43 UTC
Sourceware 19072 None None None 2016-01-26 14:44 UTC
Red Hat Bugzilla 1463692 None None None Never

Description Jakub Hrozek 2016-01-15 15:06:51 UTC
Description of problem:
Upstream libc recently gained the possibility to merge group members from different Name Service modules. We should backport this feature to RHEL.

This would mainly enable deployments that depend on centralized directories to define members of well-known local groups (like wheel) in the centralized directory in addition to local files

Version-Release number of selected component (if applicable):
Whatever will be in RHEL-7.3

How reproducible:
always

Steps to Reproduce
1. set "group: files [SUCCESS=merge] sss" in nsswitch.con
2. define a group wheel in IPA or AD
3. getgrnam(wheel)

Actual results:
only local members are returned

Expected results:
getgrnam returns both members of the local wheel group as well as the members defined in the remote directory are returned


Additional info:
The related upstream bugzilla is https://sourceware.org/bugzilla/show_bug.cgi?id=19072

Comment 1 Jakub Hrozek 2016-01-15 15:08:26 UTC
Cockpit would also benefit from this feature.

Comment 3 Florian Weimer 2016-01-26 14:42:28 UTC
*** Bug 1204503 has been marked as a duplicate of this bug. ***

Comment 4 Florian Weimer 2016-01-26 14:43:51 UTC
To clarify, the patch has not been accepted yet upstream.

Comment 25 errata-xmlrpc 2017-08-01 18:06:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1916


Note You need to log in before you can comment on or make changes to this bug.